|
Umístění Menu |
---|
Díl → Vytváření zákl.geom.tvarů → Elipsa |
Pracovní stoly |
Díl, OpenSCAD |
Výchozí zástupce |
Nikdo |
Představen ve verzi |
- |
Viz také |
.. |
Základní geometrické tvary
![]() |
Elipsa Parametr
Umístění |
A Part Ellipse is a parametric shape that can be created with the
Part Primitives command. In the coordinate system defined by its ÚdajePlacement property, the ellipse lies on the XY plane with its center at the origin. Its mayor axis is parallel to the X axis.
A Part Ellipse is in fact a closed counterclockwise elliptical arc, it can be turned into an arc by changing its ÚdajeAngle1 and/or ÚdajeAngle2 properties.
Usage
See Part Primitives.
Example

A Part Ellipse object created with the scripting example below is shown here.
Properties
See also: Property editor.
A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Base
- ÚdajeMajorRadius (
Length
): The major radius of the ellipse or elliptical arc. The default is4mm
. - ÚdajeMinorRadius (
Length
): The minor radius of the ellipse or elliptical arc. The default is2mm
. - ÚdajeAngle1 (
Angle
): The start angle of the elliptical arc. Valid range:0° < value <= 360°
. The default is0°
. - ÚdajeAngle2 (
Angle
): The end angle of the elliptical arc. Valid range:0° < value <= 360°
. The default is360°
. If ÚdajeAngle1 and ÚdajeAngle2 are equal, or if one angle is0°
and the other360°
, a full ellipse is created.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Ellipse can be created with the addObject()
method of the document:
ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
- Where
"myEllipse"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
ellipse = doc.addObject("Part::Ellipse", "myEllipse")
ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135
ellipse.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))
doc.recompute()
Tato stránka je načtena z https://wiki.freecad.org/Part_Ellipse